Subject: Re: bug#71654: [PATCH] Fix display-buffer-override-next-command

From: Jeremy Bryant <[email-masked]>
Date: Wed, 19 Jun 2024 22:17:51 +0100

"[email-masked]" <[email-masked]> writes:

> When display-buffer-overriding-action's car is set to a function
> instead of a list, display-buffer-override-next-command must ensure
> that the car is a list before pushing a new element to it, otherwise
> the car will become a itself a cons-cell and the clear-fun will
> trigger a wrong-type-argumen error when trying to delq the action.
>
> The error can be triggered by using some minor mode that
> updates display-buffer-override-next-command (such as purpose-mode)
> and then calling other-window-prefix.
>

To reproduce the bug, what other built-in modes (instead of
purpose-mode) can be used?